Skip to main content
GET
/
api
/
public
/
tenants
curl "https://api.crovver.com/api/public/tenants" \
  -H "Authorization: Bearer sk_live_..."
{
  "success": true,
  "data": {
    "tenants": [
      {
        "id": "uuid",
        "externalTenantId": "company_acme_123",
        "name": "Acme Corporation",
        "slug": "acme-corp",
        "isActive": true,
        "metadata": {},
        "createdAt": "2025-01-01T00:00:00Z",
        "updatedAt": "2025-01-01T00:00:00Z"
      }
    ],
    "count": 1
  }
}
Returns tenant information in three modes depending on which query parameters you provide:
  • No params → returns all tenants in your org.
  • externalTenantId → returns a single tenant with its members list.
  • externalUserId → returns all tenants that user belongs to.

Query Parameters

externalTenantId
string
The tenant ID from your SaaS application. Returns a single tenant with its members.
externalUserId
string
The user ID from your SaaS application. Returns all tenants this user belongs to.

Authentication

Requires a secret key (Authorization: Bearer sk_live_... or sk_test_...). Public keys (pk_*) are not accepted by this endpoint.
curl "https://api.crovver.com/api/public/tenants" \
  -H "Authorization: Bearer sk_live_..."
{
  "success": true,
  "data": {
    "tenants": [
      {
        "id": "uuid",
        "externalTenantId": "company_acme_123",
        "name": "Acme Corporation",
        "slug": "acme-corp",
        "isActive": true,
        "metadata": {},
        "createdAt": "2025-01-01T00:00:00Z",
        "updatedAt": "2025-01-01T00:00:00Z"
      }
    ],
    "count": 1
  }
}